# MedicalCertificateResult class

Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, createToJson: false)

## Constructors

MedicalCertificateResult(bool recognitionSuccessful, List<MedicalCertificateCheckBox> checkboxes, List<DateRecord> dates, MedicalCertificatePatientInfoBox patientInfoBox, McFormType mcFormType)
MedicalCertificateResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

checkboxes ↔ List<MedicalCertificateCheckBox>
  Vector of found checkboxes
  read / write
croppedDocumentURI ↔ Uri?
  read / write
dates ↔ List<DateRecord>
  Vector of validated dates
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
mcFormType ↔ McFormType
  Type of MC form
  read / write
patientInfoBox ↔ MedicalCertificatePatientInfoBox
  read / write
recognitionSuccessful ↔ bool
  Defines a result of the Medical Certificate scanning flow. */ class MedicalCertificateRecognizerResult { Defines whether recognition was successful
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited